PDA

View Full Version : 6.3 launch problems



mbonsack
2006-06-07, 17:50
The following error messages result when running the latest 6.3 nightly on a Mandrake 2006 host:

The following modules failed to load: DBD::SQLite DBI

To download and compile them, please run: /usr/local/slimserver/Bin/build-perl-modules.pl

Exiting..

Then, I run the script as instructed and the following occurs (edited):

...
Downloading Compress-Zlib-1.33.tar.gz to: /usr/local/slimserver
Uncompressing..
Configuring..
/usr/bin/perl Makefile.PL
Up/Downgrade complete.
Building..
make: *** No rule to make target `/usr/lib/perl5/5.8.7/i386-linux/CORE/EXTERN.h', needed by `Zlib.o'. Stop.
Couldn't find a valid dynamic library for Compress-Zlib-1.33.tar.gz - something is wrong. Exiting!
[root@localhost slimserver]#

Is there a distro or procedure I can use that avoids the need to run this script, or, alternatively, will run the build without errors? Thanks for any help!